import 'dart:async';

import 'package:angel_framework/angel_framework.dart';
import 'package:routex_angel/src/handler/body_handler.dart';
import 'package:routex_web/routex_web.dart';

class BodyHandlerImpl implements BodyHandler {
  @override
  FutureOr handle(RoutingContext context) async {
    try {
      await context<RequestContext>().parseBody();
    } catch (error) {
      throw ResponseStatusException(500,
          reason: 'Invalid data passed', failure: error);
    }
    context.next();
  }
}
